Subject: bug#32020: closed (Re: bug#32020: 3 bash-completion errors)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Jun 2018 19:27:02 +0000

Your bug report

#32020: 3 bash-completion errors

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32020: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32020
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32020: 3 bash-completion errors
From: Ricardo Wurmus <[email-masked]>
To: swedebugia <[email-masked]>
Cc: Oleg Pykhalov <[email-masked]>, [email-masked]
Date: Sat, 30 Jun 2018 20:41:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

swedebugia <[email-masked]> writes:

> You can close the bug for now I think.

You can close it yourself by sending an email to
[email-masked], just like I did with this email.

--
Ricardo

Subject: 3 bash-completion errors
From: [email-masked]
To: [email-masked]
Date: Sat, 30 Jun 2018 08:30:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

When using -m after guix package, weather, build; bash tries to expand
on names of packages instead of files in the filesystem.

After guix build --load-path= bash does not expand. It should expand in
the local filesystem I think.

(nitpicking)
Also when expanding on "-" after guix weather; bash suggests: "--e"
among valid completions but it is NOT. Same happens after guix build.
Havent tested the others.

-- 
Cheers 
Swedebugia